Bug 317980 - Amarok crashed while doing "Organize Files" [@ Meta::Field::mpris20MapFromTrack]
Summary: Amarok crashed while doing "Organize Files" [@ Meta::Field::mpris20MapFromTrack]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Organize Files Dialog (show other bugs)
Version: 2.7.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-07 15:49 UTC by Talamona Francesco
Modified: 2013-04-09 11:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Talamona Francesco 2013-04-07 15:49:36 UTC
Application: amarok (2.7.0)
KDE Platform Version: 4.10.1 (Compiled from sources)
Qt Version: 4.8.4
Operating System: Linux 3.8.1-pf x86_64
Distribution: "Gentoo Base System release 2.2"

-- Information about the crash:
- What I was doing when the application crashed:

Listening to a trace already in the local collection, than from "Local Music" Media Source selected two files to organize. One of the selected trace was playing

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fb7db12e780 (LWP 11566))]

Thread 19 (Thread 0x7fb7bc5e6700 (LWP 11568)):
#0  timerSourcePrepareHelper (src=0x7fb7b40017f0, timeout=0x7fb7bc5e5c4c) at kernel/qeventdispatcher_glib.cpp:134
#1  0x00007fb7d831d1ed in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#2  0x00007fb7d1130a7f in g_main_context_prepare (context=0x7fb7b40009a0, priority=0x7fb7bc5e5c88) at gmain.c:2986
#3  0x00007fb7d11310fb in g_main_context_iterate (dispatch=1, block=1, context=0x7fb7b40009a0, self=<optimized out>) at gmain.c:3270
#4  g_main_context_iterate (context=0x7fb7b40009a0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3227
#5  0x00007fb7d11312e4 in g_main_context_iteration (context=0x7fb7b40009a0, may_block=1) at gmain.c:3351
#6  0x00007fb7d831dba6 in QEventDispatcherGlib::processEvents (this=0x7fb7b40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007fb7d82ee0b2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007fb7d82ee307 in QEventLoop::exec (this=0x7fb7bc5e5db0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007fb7d81eedef in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#10 0x00007fb7d82ce0af in QInotifyFileSystemWatcherEngine::run (this=0xdf2a30) at io/qfilesystemwatcher_inotify.cpp:256
#11 0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0xdf2a30) at thread/qthread_unix.cpp:338
#12 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#13 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fb7bb310700 (LWP 11569)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f230b in wait (time=18446744073709551615, this=0xdc05a0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xda2000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7d4deba4b in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xf38700, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb7d4dee31b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x00007fb7d4ded177 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb7bb30fe00, parent=0xf38700, th=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:87
#15 0x00007fb7d4ded20b in ThreadWeaver::Thread::run (this=0xd99e60) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:142
#16 0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0xd99e60) at thread/qthread_unix.cpp:338
#17 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fb7bab0f700 (LWP 11570)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f230b in wait (time=18446744073709551615, this=0xdc05a0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xda2000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7d4deba4b in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xf38700, th=0x1037070) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb7d4dee31b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x1037070) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x1037070) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb7d4ded177 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb7bab0ee00, parent=0xf38700, th=0x1037070) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fb7d4ded20b in ThreadWeaver::Thread::run (this=0x1037070) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x1037070) at thread/qthread_unix.cpp:338
#9  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fb7ba30e700 (LWP 11571)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f230b in wait (time=18446744073709551615, this=0xdc05a0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xda2000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7d4deba4b in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xf38700, th=0x104d1b0) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb7d4dee31b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x104d1b0) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb7d4ded177 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb7ba30de00, parent=0xf38700, th=0x104d1b0) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fb7d4ded20b in ThreadWeaver::Thread::run (this=0x104d1b0) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x104d1b0) at thread/qthread_unix.cpp:338
#8  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fb7b9b0d700 (LWP 11572)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f230b in wait (time=18446744073709551615, this=0xdc05a0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xda2000, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7d4deba4b in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xf38700, th=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fb7d4dee31b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb7d4dee334 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa401d0, th=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fb7d4ded177 in ThreadWeaver::ThreadRunHelper::run (this=0x7fb7b9b0ce00, parent=0xf38700, th=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:87
#8  0x00007fb7d4ded20b in ThreadWeaver::Thread::run (this=0x104e510) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x104e510) at thread/qthread_unix.cpp:338
#10 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fb7b890c700 (LWP 11573)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7cdb8e5d4 in ?? () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007fb7cdb8e6f9 in ?? () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fb7a3fff700 (LWP 11574)):
#0  idleTimerSourcePrepare (source=<optimized out>, timeout=0x7fb7a3ffec7c) at kernel/qeventdispatcher_glib.cpp:209
#1  0x00007fb7d1130a7f in g_main_context_prepare (context=0x7fb79c0009a0, priority=0x7fb7a3ffecb8) at gmain.c:2986
#2  0x00007fb7d11310fb in g_main_context_iterate (dispatch=1, block=1, context=0x7fb79c0009a0, self=<optimized out>) at gmain.c:3270
#3  g_main_context_iterate (context=0x7fb79c0009a0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3227
#4  0x00007fb7d11312e4 in g_main_context_iteration (context=0x7fb79c0009a0, may_block=1) at gmain.c:3351
#5  0x00007fb7d831dba6 in QEventDispatcherGlib::processEvents (this=0x7fb79c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fb7d82ee0b2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fb7d82ee307 in QEventLoop::exec (this=0x7fb7a3ffede0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fb7d81eedef in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x1378fc0) at thread/qthread_unix.cpp:338
#10 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fb7a35e9700 (LWP 11575)):
#0  0x00007fb7d7994e13 in select () from /lib64/libc.so.6
#1  0x00007fb7d82cd74f in QProcessManager::run (this=0x7fb7d864b500 <processManager()::processManager>) at io/qprocess_unix.cpp:245
#2  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x7fb7d864b500 <processManager()::processManager>) at thread/qthread_unix.cpp:338
#3  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fb7a2dca700 (LWP 11577)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d3dedfd2 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fb7d40e5e80 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fb7d3dee009 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fb706ffd700 (LWP 11963)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f230b in wait (time=18446744073709551615, this=0x1c6fd20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1703240, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7d91ed52c in QFileInfoGatherer::run (this=0x1703230) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x1703230) at thread/qthread_unix.cpp:338
#5  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fb7063ec700 (LWP 11964)):
#0  0x00007fb7d5acbf3f in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007fb7d116c4d1 in g_mutex_unlock (mutex=<optimized out>) at gthread-posix.c:229
#2  0x00007fb7d1131189 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x7fb6ac0009a0, self=<optimized out>) at gmain.c:3292
#3  g_main_context_iterate (context=0x7fb6ac0009a0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3227
#4  0x00007fb7d11312e4 in g_main_context_iteration (context=0x7fb6ac0009a0, may_block=1) at gmain.c:3351
#5  0x00007fb7d831dba6 in QEventDispatcherGlib::processEvents (this=0x7fb6ac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fb7d82ee0b2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fb7d82ee307 in QEventLoop::exec (this=0x7fb7063ebdb0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fb7d81eedef in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x00007fb7d82ce0af in QInotifyFileSystemWatcherEngine::run (this=0x181d060) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007fb7d81f1d9c in QThreadPrivate::start (arg=0x181d060) at thread/qthread_unix.cpp:338
#11 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#12 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fb79a954700 (LWP 12396)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d116c71f in g_cond_wait (cond=0x7fb710031e80, mutex=<optimized out>) at gthread-posix.c:748
#2  0x00007fb7c77d373c in gst_task_func (task=0x7fb7080de490) at gsttask.c:312
#3  0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb708039ed0) at gthread.c:797
#5  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fb705beb700 (LWP 14912)):
#0  0x00007fb7d5accffe in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d81f227e in wait (time=271356, this=0xd725f0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7742f0, time=271356) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fb7c05e1a48 in Phonon::Gstreamer::MediaObject::handleAboutToFinish (this=0x7741d0) at /var/tmp/portage/media-libs/phonon-gstreamer-4.6.3/work/phonon-backend-gstreamer-4.6.3/gstreamer/mediaobject.cpp:876
#4  0x00007fb7c05e501a in qt_static_metacall (_a=<optimized out>, _id=31, _o=0x7741d0, _c=<optimized out>) at /var/tmp/portage/media-libs/phonon-gstreamer-4.6.3/work/phonon-gstreamer-4.6.3_build/gstreamer/moc_mediaobject.cpp:144
#5  Phonon::Gstreamer::MediaObject::qt_static_metacall (_o=0x7741d0, _c=<optimized out>, _id=31, _a=<optimized out>) at /var/tmp/portage/media-libs/phonon-gstreamer-4.6.3/work/phonon-gstreamer-4.6.3_build/gstreamer/moc_mediaobject.cpp:107
#6  0x00007fb7d8302f31 in QMetaObject::activate (sender=0xd51720, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#7  0x00007fb7c750f7f3 in _g_closure_invoke_va (closure=0xd7ba00, return_value=0x0, instance=0xd6f720, args=0x7fb705be9e88, n_params=0, param_types=<optimized out>) at gclosure.c:840
#8  0x00007fb7c752799c in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=0, var_args=<optimized out>) at gsignal.c:3211
#9  0x00007fb7c75284c2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
#10 0x00007fb7be1b2922 in drained_cb (decodebin=<optimized out>, group=<optimized out>) at gstplaybin2.c:2998
#11 0x00007fb7c750f7f3 in _g_closure_invoke_va (closure=0x1c39910, return_value=0x0, instance=0x15cc960, args=0x7fb705bea238, n_params=0, param_types=<optimized out>) at gclosure.c:840
#12 0x00007fb7c752799c in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=0, var_args=<optimized out>) at gsignal.c:3211
#13 0x00007fb7c75284c2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
#14 0x00007fb7c750f7f3 in _g_closure_invoke_va (closure=0x7fb710060390, return_value=0x0, instance=0x15ccb90, args=0x7fb705bea5c8, n_params=0, param_types=<optimized out>) at gclosure.c:840
#15 0x00007fb7c752799c in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=0, var_args=<optimized out>) at gsignal.c:3211
#16 0x00007fb7c75284c2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
#17 0x00007fb79b3c7819 in drain_and_switch_chains (chain=<optimized out>, drainpad=0x7fb708017780, last_group=0x7fb705bea784, drained=<optimized out>, switched=0x7fb705bea788) at gstdecodebin2.c:3219
#18 0x00007fb79b3cb57c in gst_decode_pad_handle_eos (pad=0x7fb708017780) at gstdecodebin2.c:3236
#19 source_pad_event_probe (dpad=0x7fb708017780, pad=0x7fb708017780, event=<optimized out>) at gstdecodebin2.c:3791
#20 source_pad_event_probe (pad=0x7fb708017780, event=<optimized out>, dpad=0x7fb708017780) at gstdecodebin2.c:3775
#21 0x00007fb7c77eb328 in gst_marshal_BOOLEAN__POINTER (closure=0x7fb700003420, return_value=0x7fb705bea950, n_param_values=<optimized out>, param_values=0x7fb705beaa68, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gstmarshal.c:586
#22 0x00007fb7c750f5c2 in g_closure_invoke (closure=0x7fb700003420, return_value=0x7fb705bea950, n_param_values=2, param_values=0x7fb705beaa68, invocation_hint=<optimized out>) at gclosure.c:777
#23 0x00007fb7c7520248 in signal_emit_unlocked_R (node=<optimized out>, detail=191, instance=<optimized out>, emission_return=0x7fb705beaa98, instance_and_params=0x7fb705beaa68) at gsignal.c:3551
#24 0x00007fb7c7527507 in g_signal_emitv (instance_and_params=0x7fb705beaa68, signal_id=<optimized out>, detail=191, return_value=0x7fb705beaa98) at gsignal.c:3041
#25 0x00007fb7c7775a79 in gst_pad_emit_have_data_signal (pad=<optimized out>, obj=0x7fb71003ca80) at gstpad.c:4167
#26 0x00007fb7c77aef3f in gst_pad_push_event (pad=0x7fb708017780, event=0x7fb71003ca80) at gstpad.c:5262
#27 0x00007fb7c7798d65 in gst_proxy_pad_event_default (pad=<optimized out>, event=0x7fb71003ca80) at gstghostpad.c:132
#28 0x00007fb7c77aeaea in gst_pad_send_event (pad=0x7fb71002c730, event=0x7fb71003ca80) at gstpad.c:5425
#29 0x00007fb7c77af072 in gst_pad_push_event (pad=0x1e63ca0, event=0x7fb71003ca80) at gstpad.c:5277
#30 0x00007fb799f5043f in gst_mad_sink_event (pad=0x1e63e20, event=0x7fb71003ca80) at gstmad.c:1001
#31 0x00007fb7c77aeaea in gst_pad_send_event (pad=0x1e63e20, event=0x7fb71003ca80) at gstpad.c:5425
#32 0x00007fb7c77af072 in gst_pad_push_event (pad=0x1e63b20, event=0x7fb71003ca80) at gstpad.c:5277
#33 0x00007fb7c7a4e6d6 in gst_base_parse_loop (pad=<optimized out>) at gstbaseparse.c:2899
#34 0x00007fb7c77d359c in gst_task_func (task=0x7fb7080de990) at gsttask.c:327
#35 0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#36 0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb70803a280) at gthread.c:797
#37 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#38 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fb799528700 (LWP 14913)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d116c71f in g_cond_wait (cond=0xb52790, mutex=<optimized out>) at gthread-posix.c:748
#2  0x00007fb7be81e355 in gst_queue_loop (pad=<optimized out>) at gstqueue.c:1252
#3  0x00007fb7c77d359c in gst_task_func (task=0x7fb710185d30) at gsttask.c:327
#4  0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#5  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb6fc032720) at gthread.c:797
#6  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fb799d29700 (LWP 14914)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d116c71f in g_cond_wait (cond=0xd503a0, mutex=<optimized out>) at gthread-posix.c:748
#2  0x00007fb7be81e355 in gst_queue_loop (pad=<optimized out>) at gstqueue.c:1252
#3  0x00007fb7c77d359c in gst_task_func (task=0x7fb710185e30) at gsttask.c:327
#4  0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#5  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb6fc0326d0) at gthread.c:797
#6  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fb704be9700 (LWP 14915)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d116c71f in g_cond_wait (cond=0xd506c0, mutex=<optimized out>) at gthread-posix.c:748
#2  0x00007fb7be81e355 in gst_queue_loop (pad=<optimized out>) at gstqueue.c:1252
#3  0x00007fb7c77d359c in gst_task_func (task=0x7fb710185830) at gsttask.c:327
#4  0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#5  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb6fc032630) at gthread.c:797
#6  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fb707fff700 (LWP 14916)):
#0  0x00007fb7d5accc7c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fb7d116c71f in g_cond_wait (cond=0x166a4c0, mutex=<optimized out>) at gthread-posix.c:748
#2  0x00007fb7be81e355 in gst_queue_loop (pad=<optimized out>) at gstqueue.c:1252
#3  0x00007fb7c77d359c in gst_task_func (task=0x7fb710185730) at gsttask.c:327
#4  0x00007fb7d1153658 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#5  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb6fc032680) at gthread.c:797
#6  0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fb7053ea700 (LWP 14917)):
#0  0x00007fb7d794125b in ?? () from /lib64/libc.so.6
#1  0x00007fb7c0ac1037 in snd_pcm_area_copy (format=<optimized out>, samples=<optimized out>, src_offset=<optimized out>, src_area=0x7fb7053e9bb0, dst_offset=<optimized out>, dst_area=0x7fb7053e9bc0) at /usr/include/bits/string3.h:52
#2  snd_pcm_area_copy (dst_area=0x7fb7053e9bc0, dst_offset=<optimized out>, src_area=0x7fb7053e9bb0, src_offset=<optimized out>, samples=<optimized out>, format=<optimized out>) at pcm.c:2686
#3  0x00007fb7c0ac1235 in snd_pcm_areas_copy (dst_areas=0x7fb70c01b5c0, dst_offset=1096, src_areas=0x7fb7053e9d00, src_offset=0, channels=<optimized out>, frames=940, format=SND_PCM_FORMAT_S32_LE) at pcm.c:2850
#4  0x00007fb7c0acdc0b in snd_pcm_mmap_write_areas (pcm=0x7fb70c260800, areas=0x7fb7053e9ce0, offset=0, size=940) at pcm_mmap.c:119
#5  0x00007fb7c0ac44d5 in snd1_pcm_write_areas (pcm=0x7fb70c260800, areas=0x7fb7053e9ce0, offset=0, size=940, func=0x7fb7c0acdb50 <snd_pcm_mmap_write_areas>) at pcm.c:6759
#6  0x00007fb7c0acde8b in snd_pcm_mmap_writei (pcm=0x7fb70c260800, buffer=<optimized out>, size=940) at pcm_mmap.c:186
#7  0x00007fb7bf0a1f5e in gst_alsasink_write (asink=0xcd1130, data=<optimized out>, length=7520) at gstalsasink.c:861
#8  0x00007fb7bee86940 in audioringbuffer_thread_func (buf=0x165c030) at gstaudiosink.c:246
#9  0x00007fb7d1152e35 in g_thread_proxy (data=0x7fb7000068f0) at gthread.c:797
#10 0x00007fb7d5ac8e56 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fb7d799b2dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fb7db12e780 (LWP 11566)):
[KCrash Handler]
#6  0x00007fb7da6b7d39 in Meta::Field::mpris20MapFromTrack (track=...) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0/src/core/meta/support/MetaUtility.cpp:185
#7  0x00007fb7da00faee in Amarok::MediaPlayer2Player::metadataForTrack (this=<optimized out>, track=...) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0/src/dbus/mpris2/MediaPlayer2Player.cpp:264
#8  0x00007fb7da01061a in Amarok::MediaPlayer2Player::Metadata (this=0x1c881c0) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0/src/dbus/mpris2/MediaPlayer2Player.cpp:277
#9  0x00007fb7da010745 in Amarok::MediaPlayer2Player::albumMetadataChanged (this=0x1c881c0, album=...) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0/src/dbus/mpris2/MediaPlayer2Player.cpp:352
#10 0x00007fb7d9cd47b6 in Amarok::MediaPlayer2Player::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0_build/src/moc_MediaPlayer2Player.cpp:133
#11 0x00007fb7d83080a6 in QObject::event (this=0x1c881c0, e=<optimized out>) at kernel/qobject.cpp:1194
#12 0x00007fb7d8d138c4 in notify_helper (e=0x7fb7a4025c20, receiver=0x1c881c0, this=0x785d10) at kernel/qapplication.cpp:4562
#13 QApplicationPrivate::notify_helper (this=0x785d10, receiver=0x1c881c0, e=0x7fb7a4025c20) at kernel/qapplication.cpp:4534
#14 0x00007fb7d8d185a3 in QApplication::notify (this=0x7fff69f658c0, receiver=0x1c881c0, e=0x7fb7a4025c20) at kernel/qapplication.cpp:4423
#15 0x00007fb7dab4ed46 in KApplication::notify (this=0x7fff69f658c0, receiver=0x1c881c0, event=0x7fb7a4025c20) at /var/tmp/portage/kde-base/kdelibs-4.10.1-r1/work/kdelibs-4.10.1/kdeui/kernel/kapplication.cpp:311
#16 0x00007fb7d82ef553 in QCoreApplication::notifyInternal (this=0x7fff69f658c0, receiver=0x1c881c0, event=0x7fb7a4025c20) at kernel/qcoreapplication.cpp:946
#17 0x00007fb7d82f2d49 in sendEvent (event=0x7fb7a4025c20, receiver=0x1c881c0) at kernel/qcoreapplication.h:231
#18 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6171f0) at kernel/qcoreapplication.cpp:1570
#19 0x00007fb7d831d743 in sendPostedEvents () at kernel/qcoreapplication.h:236
#20 postEventSourceDispatch (s=0x785560) at kernel/qeventdispatcher_glib.cpp:279
#21 0x00007fb7d1130efa in g_main_dispatch (context=0x785780) at gmain.c:2715
#22 g_main_context_dispatch (context=0x785780) at gmain.c:3219
#23 0x00007fb7d1131235 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x785780, self=<optimized out>) at gmain.c:3290
#24 g_main_context_iterate (context=0x785780, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3227
#25 0x00007fb7d11312e4 in g_main_context_iteration (context=0x785780, may_block=1) at gmain.c:3351
#26 0x00007fb7d831db4b in QEventDispatcherGlib::processEvents (this=0x77e0c0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#27 0x00007fb7d8db47de in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x00007fb7d82ee0b2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007fb7d82ee307 in QEventLoop::exec (this=0x7fff69f65850, flags=...) at kernel/qeventloop.cpp:204
#30 0x00007fb7d82f3025 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#31 0x00000000004096af in main (argc=2, argv=0x7fff69f67e48) at /var/tmp/portage/media-sound/amarok-2.7.0/work/amarok-2.7.0/src/main.cpp:329

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-04-07 20:03:57 UTC
While I agree it shouldn't crash, trying to move a file that is currently playing to another physical location is a bad idea anyway.

I assume it only crashes when the file you try to move is playing, right?
Comment 2 Talamona Francesco 2013-04-08 07:24:52 UTC
I agree, even if I do it very often. Actually it was the first time.
Comment 3 Myriam Schweingruber 2013-04-08 12:59:37 UTC
You didn't answer my question: I assume it only crashes when the file you try to move is playing, right?

Also: is this reproducible?
Comment 4 Talamona Francesco 2013-04-08 13:21:25 UTC
I did, it was the first time it crashed, so I cannot know if it does this only when moving files that are being played. It wasn't the first file moved.
Comment 5 Myriam Schweingruber 2013-04-08 15:28:41 UTC
(In reply to comment #4)
> I did, it was the first time it crashed, so I cannot know if it does this
> only when moving files that are being played. It wasn't the first file moved.

That was actually a request to test :) A crash that is not reproducible at least by the reporter is of not much use to us...
Comment 6 Talamona Francesco 2013-04-08 15:44:37 UTC
You were too quick to reply, then ;)
I'll keep an eye on it.
Comment 7 Ralf Engels 2013-04-08 22:37:20 UTC
I think I found it and will submit a fix shortly.

Should be hard to reproduce. A classical race condition.
Comment 8 Talamona Francesco 2013-04-09 07:06:21 UTC
I  tried yesterday several times, both while listening and not. It didn't crash.
Comment 9 Ralf Engels 2013-04-09 11:47:02 UTC
Git commit ce337dd4db9807480b627406233063d4dd4aa232 by Ralf Engels.
Committed on 09/04/2013 at 13:40.
Pushed by rengels into branch 'master'.

Fix: Amarok crashed while doing "Organize Files"
FIXED-IN: 2.8

M  +1    -0    ChangeLog
M  +24   -21   src/core/meta/support/MetaUtility.cpp

http://commits.kde.org/amarok/ce337dd4db9807480b627406233063d4dd4aa232